## Process this file with automake to produce Makefile.in

noinst_LIBRARIES = libxchatmain.a

INCLUDES = -I$(includedir)

EXTRA_DIST = \
      cfgfiles.h \
      dcc.h \
      fe.h \
      history.h \
      ignore.h \
      notify.h \
		perl.c \
      plugin.h \
      popup.h \
      pys_signals.h \
		python.c \
		sigextract.py \
		ssl.h \
		ssl.c	\
      userlist.h \
      util.h \
      xchat.h

if DO_PERL
perl_c = perl.c
endif

if DO_PYTHON
python_c = python.c
endif

if USE_OPENSSL
ssl_c = ssl.c
endif

libxchatmain_a_SOURCES = cfgfiles.c ctcp.c dcc.c \
      history.c ignore.c inbound.c notify.c outbound.c \
		$(perl_c) plugin.c $(python_c) server.c \
		text.c userlist.c util.c xchat.c $(ssl_c)

